#3848 closed defect (fixed)

Libdebugger test in libbsd should depend on libdebugger.a

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: network/libbsd Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The test should be built based on this library being present. The PowerPC does not support libdebugger.

Attachments (1)

libbsd-library-check.diff (6.2 KB) - added by Chris Johns on Mar 4, 2020 at 11:53:19 AM.
Add libbsd library check support

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Dec 21, 2019 at 4:22:15 AM by Chris Johns

Summary: Libdebugger test in libbsd should depend on liubdebugger.aLibdebugger test in libbsd should depend on libdebugger.a

Changed on Mar 4, 2020 at 11:53:19 AM by Chris Johns

Attachment: libbsd-library-check.diff added

Add libbsd library check support

comment:2 Changed on Mar 4, 2020 at 11:53:45 AM by Chris Johns

It looks like debugger.h is being installed when there is no support and this is tripping the test in libbsd so it thinks there is libdebugger support.

I attach a patch to add a library check however this fails because of link errors for a BSP that has the library.

It looks like the include install support in RTEMS needs to be fixed.

Last edited on Mar 4, 2020 at 11:54:33 AM by Chris Johns (previous) (diff)

comment:3 Changed on Mar 5, 2020 at 10:16:03 AM by Chris Johns

Owner: set to Chris Johns
Status: newassigned

comment:4 Changed on Mar 5, 2020 at 11:05:19 AM by Chris Johns

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.